<?php

/**
 * @file
 * Provides the Google Analytics Reports API
 * and associated methods for page callback.
 */

/**
 * Implement google_analytics_top_browser_view_callback().
 */
function google_analytics_top_browser_view_callback(){
  $library_exist = google_analytics_report_library_exists();
  $analytics = google_analytics_report_initialize_analytics();
  $profileId = google_analytics_report_get_profile_id($analytics);
  $data = array();

  if(!empty($profileId)){
    $results = $analytics->data_ga->get('ga:' . $profileId,
            '30daysAgo',
            'today',
            'ga:pageviews',
                array(
                    'dimensions'  => 'ga:browser',
                    'sort'        => '-ga:pageviews',
                    //'max-results' => 5
                     ) 
            );
    $rows = $results->getRows();
    $data = array();
    foreach( $rows as $row ) {
      $data[] = array(
        'name'   => $row[0],
        'value'  => $row[1],
      );
    }
  }
  drupal_json_output($data);
}

/**
 * Implement google_analytics_report_callback().
 */
function google_analytics_report_callback(){
  $g_analytic = variable_get('googleanalytics_account');
  $output = array('#markup' => '');
  $output['#markup'] .= theme('google_analytics_report_content');
  return $output;
}

/**
 * Implement google_analytics_user_view_week_callback().
 */
function google_analytics_user_view_week_callback(){
  $library_exist = google_analytics_report_library_exists();

  $analytics = google_analytics_report_initialize_analytics();
  $profileId = google_analytics_report_get_profile_id($analytics);
  $data = array();
  if(!empty($profileId)){
    $results = $analytics->data_ga->get('ga:' . $profileId,
          '7daysAgo',
          REPORT_START,
          'ga:users',
          array(
            'dimensions'  => 'ga:day',
            'sort'        => '-ga:day',
            //'max-results' => 10
          ) 
        );
    $rows = $results->getRows();
    foreach( $rows as $row ) {
      $data[] = array(
        'user'   => $row[1],
        'day'  => $row[0],
      );
    }
  }
  drupal_json_output($data);
}

/**
 * Implement google_analytics_user_view_month_callback().
 */
function google_analytics_user_view_month_callback(){
  $library_exist = google_analytics_report_library_exists();
  $analytics = google_analytics_report_initialize_analytics();
  $profileId = google_analytics_report_get_profile_id($analytics);
  $data = array();

  if(!empty($profileId)){
    $results = $analytics->data_ga->get('ga:' . $profileId,
          '30daysAgo',
          REPORT_START,
          'ga:users',
          array(
            'dimensions'  => 'ga:day',
            'sort'        => '-ga:day',
            //'max-results' => 10
          ) 
        );
    $rows = $results->getRows();
    foreach( $rows as $row ) {
      $data[] = array(
        'user'   => $row[1],
        'day'  => $row[0],
      );
    }
  }
  drupal_json_output($data);
}

/**
 * Implement google_analytics_user_view_year_callback().
 */
function google_analytics_user_view_year_callback(){
  $library_exist = google_analytics_report_library_exists();
  $analytics = google_analytics_report_initialize_analytics();
  $profileId = google_analytics_report_get_profile_id($analytics);
  $data = array();

  if(!empty($profileId)){
    $results = $analytics->data_ga->get('ga:' . $profileId,
          '365daysAgo',
          REPORT_START,
          'ga:users',
          array(
            'dimensions'  => 'ga:month',
            'sort'        => '-ga:month',
            //'max-results' => 10
          ) 
        );
    $rows = $results->getRows();
    foreach( $rows as $row ) {
      $data[] = array(
        'user'   => $row[1],
        'day'  => $row[0],
      );
    }
  }
  drupal_json_output($data);
}
